#include <windows.h>
#include "idualeliza.h"

class  CEliza : public IDualEliza
{
    protected:
        ULONG           m_RefCount ;
		ITypeInfo *		m_pTypeInfo ;

    public:
   		HWND			m_hWnd ;
		HWND 			m_hEdit ;

		CEliza  (void);
        ~CEliza (void);

        //IUnknown members
        
		STDMETHODIMP         QueryInterface(REFIID, LPVOID*);
        STDMETHODIMP_(ULONG) AddRef(void);
        STDMETHODIMP_(ULONG) Release(void);

		// IDispatch members

	    STDMETHODIMP GetTypeInfoCount(UINT *pctinfo) ;
		STDMETHODIMP GetTypeInfo(UINT, LCID, ITypeInfo **pptinfo) ;
		STDMETHODIMP GetIDsOfNames(REFIID, LPOLESTR *, UINT, LCID, DISPID *) ;
		STDMETHODIMP Invoke(DISPID, REFIID, LCID lcid, WORD, DISPPARAMS *,
			VARIANT *, EXCEPINFO *, UINT *) ;


        //IEliza members

        STDMETHODIMP Complain (BSTR *, BSTR *);
    };
